Subject: Re: [PATCH 3/3] proc: make grab_header static

From: Al Viro <[email-masked]>
Date: Fri, 18 Jul 2008 00:23:28 +0100

On Thu, Jul 17, 2008 at 03:09:50PM -0700, Andrew Morton wrote:
> On Thu, 17 Jul 2008 14:22:35 -0700
> Harvey Harrison <[email-masked]> wrote:
> 
> > fs/proc/proc_sysctl.c:69:25: warning: symbol 'grab_header' was not declared. Should it be static?

> urgh.  We need to do something here.
> 
> People are dumping large hunks of 2.6.28 material into linux-next
> during the merge window.  This screws me up because I haven't merged
> into 2.6.27 yet, and my patch queue is based on linux-next.  And I
> _have_ to do that, because lots of the git trees haven't merged into
> mainline yet.

FWIW, you are slightly misreading the situation - it *is* my fault, but
in a different way.  What's happening is not development going into that
branch - it's untangling a huge pile of pending patches into sequence.
And yes, it should've gone public as-is a couple of weeks ago ;-/